summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-csharp-4
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-csharp-4')
-rwxr-xr-xgettext-tools/tests/xgettext-csharp-442
1 files changed, 42 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-csharp-4 b/gettext-tools/tests/xgettext-csharp-4
new file mode 100755
index 0000000..8189fd7
--- /dev/null
+++ b/gettext-tools/tests/xgettext-csharp-4
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# Tests for C# plural keyword support
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles xg-cs-4.cs"
+cat <<EOF > xg-cs-4.cs
+class TestCase {
+ public static void Main (String[] args) {
+ GetPluralString("test 1", "plural test");
+ MyPluralString (context, "I've 1", "you've lost");
+ }
+}
+EOF
+
+tmpfiles="$tmpfiles xg-cs-4.po"
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --omit-header --no-location --keyword=MyPluralString:2,3 -d xg-cs-4 xg-cs-4.cs
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles xg-cs-4.ok"
+cat <<EOF > xg-cs-4.ok
+msgid "test 1"
+msgid_plural "plural test"
+msgstr[0] ""
+msgstr[1] ""
+
+msgid "I've 1"
+msgid_plural "you've lost"
+msgstr[0] ""
+msgstr[1] ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-cs-4.ok xg-cs-4.po
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result